﻿//***********************************************************************
//                                                                     
//   Preset from Document
//DESCRIPTION:Creates a document preset based on the currently open document
//                                                                     
//   [Ver: 1]   [Author: Gerald Singelmann]   [Modif: 13-10-14]
//   [Lang: EN, DE]   [Tested under: InDesign CC]   [Creat: 13-10-14]   
// 
//                                                                     
//   Bugs & Feedback : gerald{at}cuppascript{dot}com                  
//                     www.cuppascript.com
//
//	v1:	First Prototype
//                                                                     
//*********************************************************************

#target indesign

if (app.documents.length > 0) {
	main();
}

function main() {
	var sPrompt = { en: "Name of new preset", de: "Name der neuen Dokumentvorgabe" };
	var doc = app.activeDocument;
	
	var preset_name = prompt( localize( sPrompt ), doc.name.replace(/\.indd$/i, "") );
	if (preset_name == null) {
		return;
	}
	
	try{
		var the_preset = app.documentPresets.add( {
			name: preset_name,
			bottom: doc.marginPreferences.bottom,
			columnCount: doc.marginPreferences.columnCount,
			columnGutter: doc.marginPreferences.columnGutter,
			createPrimaryTextFrame: doc.documentPreferences.createPrimaryTextFrame,
			documentBleedBottomOffset: doc.documentPreferences.documentBleedBottomOffset,
			documentBleedInsideOrLeftOffset: doc.documentPreferences.documentBleedInsideOrLeftOffset,
			documentBleedOutsideOrRightOffset: doc.documentPreferences.documentBleedOutsideOrRightOffset,
			documentBleedTopOffset: doc.documentPreferences.documentBleedTopOffset,
			documentBleedUniformSize: doc.documentPreferences.documentBleedUniformSize,
			documentSlugUniformSize: doc.documentPreferences.documentSlugUniformSize,
			facingPages: doc.documentPreferences.facingPages,
			intent: doc.documentPreferences.intent,
			label: doc.label,
			left: doc.marginPreferences.left,
			pageHeight: doc.documentPreferences.pageHeight,
			pageOrientation: doc.documentPreferences.pageOrientation,
			pageSize: doc.documentPreferences.pageSize,
			pageWidth: doc.documentPreferences.pageWidth,
			pagesPerDocument: doc.documentPreferences.pagesPerDocument,
			right: doc.marginPreferences.right,
			slugBottomOffset: doc.documentPreferences.slugBottomOffset,
			slugInsideOrLeftOffset: doc.documentPreferences.slugInsideOrLeftOffset,
			slugRightOrOutsideOffset: doc.documentPreferences.slugRightOrOutsideOffset,
			slugTopOffset: doc.documentPreferences.slugTopOffset,
			startPageNumber: doc.documentPreferences.startPageNumber,
			top: doc.marginPreferences.top
		});
	} catch(e) {
		alert(e);
	}
}